package com.zjsgfa.project.zjsgfa.service;

import java.util.List;
import com.zjsgfa.project.zjsgfa.domain.SjLjtjzt;

/**
 * 设计-邻井推荐钻头Service接口
 * 
 * @author
 * @date 2025-08-18
 */
public interface ISjLjtjztService 
{
    /**
     * 查询设计-邻井推荐钻头
     * 
     * @param id 设计-邻井推荐钻头主键
     * @return 设计-邻井推荐钻头
     */
    public SjLjtjzt selectSjLjtjztById(Long id);

    /**
     * 查询设计-邻井推荐钻头列表
     * 
     * @param sjLjtjzt 设计-邻井推荐钻头
     * @return 设计-邻井推荐钻头集合
     */
    public List<SjLjtjzt> selectSjLjtjztList(SjLjtjzt sjLjtjzt);

    /**
     * 新增设计-邻井推荐钻头
     * 
     * @param sjLjtjzt 设计-邻井推荐钻头
     * @return 结果
     */
    public int insertSjLjtjzt(SjLjtjzt sjLjtjzt);

    /**
     * 修改设计-邻井推荐钻头
     * 
     * @param sjLjtjzt 设计-邻井推荐钻头
     * @return 结果
     */
    public int updateSjLjtjzt(SjLjtjzt sjLjtjzt);

    /**
     * 批量删除设计-邻井推荐钻头
     * 
     * @param ids 需要删除的设计-邻井推荐钻头主键集合
     * @return 结果
     */
    public int deleteSjLjtjztByIds(Long[] ids);

    /**
     * 删除设计-邻井推荐钻头信息
     * 
     * @param id 设计-邻井推荐钻头主键
     * @return 结果
     */
    public int deleteSjLjtjztById(Long id);
}
